Subject: RE: I-D ACTION:draft-ietf-webdav-quota-01.txt

From: "Clemm, Geoff" <[email-masked]>
Date: Mon, 24 Mar 2003 22:53:42 -0500

Just for interests sake, is there any client that acts significantly
differently if it were to receive a 4xx response instead of a 5xx
response?  If not, this question is merely an aesthetic quibble (:-).

But the advantage of an aesthetic quibble is that everyone can join in
without risk of being proven wrong (:-), so my 2 cents say that 4xx is
more consistent with the currently defined 4xx and 5xx messages.  In
particular, 413 (Request Entity Too Large) seems quite close to this
condition, while there is no 5xx condition that is nearly as close.

Cheers,
Geoff

-----Original Message-----
From: Dyer, Kevin [mailto:[email-masked]]

Julian, 
I agree with 1) on 2) are you talking about quotas? If so you are correct
but disk space is still 507, IMHO. 

        Kevin 
  >-----Original Message----- 
  >From: Julian Reschke [mailto:[email-masked]] 
  >Sent: Monday, March 24, 2003 8:15 AM 
  >To: WebDAV 
  >Subject: RE: I-D ACTION:draft-ietf-webdav-quota-01.txt 
  > 
  > 
  > 
  >Brian, 
  > 
  >here are two more issues I have: 
  > 
  >1) During the discussion, I've seen soft limits (quotas) and 
  >hard limits 
  >(disk space) used in the same context. I'm really not sure 
  >that it is a good 
  >idea to use the same mechanism for both. 
  > 
  >2) Related to that: I'm not sure that using 507 for failures 
  >due to quota 
  >restrictions is a good idea. 5xx indicates a server error. 
  >In this case, the 
  >problem is not causes by the server, but by the client 
  >(trying to take up 
  >more space than allowed), so a 4xx with a new precondition 
  >code seems to be 
  >more appropriate. 
  > 
  >Julian 
  > 
  >-- 
  ><green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760 
  >

---

From: Jim Luther <[email-masked]>
Date: Tue, 25 Mar 2003 07:46:05 -0800

> response?  If not, this question is merely an aesthetic quibble (:-).

Yes there is a client that handles those responses quite differently.

The Mac OS X WebDAV file system client translates 507 to ENOSPC (No 
space left on device) which is interpreted by most Macintosh 
applications to mean the device is full; the WebDAV file system 
translates 413 as a generic 4xx response to EINVAL (Invalid argument) 
which is interpreted by most Macintosh applications to mean "something 
wasn't right - who knows what?"

The Mac OS X WebDAV file system client is one of the few clients 
actually using quotas today and has been for over 1-1/2 years now.

Jim Luther
Apple Computer, Inc.

---

From: "Julian Reschke" <[email-masked]>
Date: Tue, 25 Mar 2003 17:05:06 +0100

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jim Luther
> Sent: Tuesday, March 25, 2003 4:46 PM
> To: WebDAV
> Subject: Re: I-D ACTION:draft-ietf-webdav-quota-01.txt
>
>
>

Well.

Quota exceeded isn't the same thing as disk space exceeded. Wouldn't it be
more useful if the protocol would allow you to distinguish between ENOSPC
and EDQUOT?

Julian

---

From: Jim Luther <[email-masked]>
Date: Tue, 25 Mar 2003 08:14:55 -0800

> more useful if the protocol would allow you to distinguish between 

I was just answering the question "is there any client that acts 
significantly differently if it were to receive a 4xx response instead 
of a 5xx response?" The short answer is "yes."

However, the quota properties our client uses today have different 
property names than the properties in draft-ietf-webdav-quota-01.txt, 
so when things are nailed down, I'll have to change our code to use the 
new property names. When I do that, I can change the way status codes 
are handled if needed.

- Jim